\ProvidesClass{abnms2011}
\LoadClass[10pt,a4paper,twocolumn]{article}
\setlength{\columnsep}{1cm}
\usepackage{geometry}
\usepackage{graphicx}
\usepackage{natbib}
\usepackage{times}
\usepackage{multicol}
\usepackage[labelfont=bf,margin=10pt]{caption}

\oddsidemargin 0in
\headsep 1.3cm 
\geometry{left=3cm,top=1in,right=2.5cm,bottom=1in}

\textwidth 15.5cm
\textheight 24cm
\footskip 0in
\setlength{\intextsep}{0.8em}
\setlength{\abovecaptionskip}{0.5em}
\setlength{\belowcaptionskip}{0.5em}

\pagestyle{empty}

\setcounter{secnumdepth}{-1}
\renewcommand{\section}{\@startsection
{section}%                   % the name
{1}%                         % the level
{0mm}%                       % the indent
{2pt}%            % the before skip
{2pt}%          % the after skip
{\normalsize\bf\uppercase}} % the style

\renewcommand{\subsection}{\@startsection
{subsection}%                   % the name
{2}%                         % the level
{0mm}%                       % the indent
{2pt}%            % the before skip
{2pt}%          % the after skip
{\normalsize\bf}} % the style

\renewcommand{\subsubsection}{\@startsection
{subsubsection}%                   % the name
{3}%                         % the level
{0mm}%                       % the indent
{2pt}%            % the before skip
{2pt}%          % the after skip
{\normalsize\bf\itshape}} % the style

\setlength{\parindent}{0pt}
\setlength{\parskip}{1em}

\newsavebox{\abstractbox}
\newsavebox{\keywordsbox}
\newsavebox{\affiliationsbox}
%\begin{lrbox}{\abstractbox}xxx\end{lrbox}
\renewenvironment{abstract}{
\global\lrbox{\abstractbox}
\begin{minipage}{\textwidth}
\begin{multicols}{2}
{\bf ABSTRACT}\\

}{\end{multicols}\end{minipage}\endlrbox}

\newcommand{\keywords}[1]{\begin{lrbox}{\keywordsbox}\begin{minipage}{\textwidth}{\bf Keywords:} #1\end{minipage}\end{lrbox}}

\newcommand{\affiliation}[1]{\begin{lrbox}{\affiliationsbox}\begin{minipage}{\textwidth}\begin{center}\itshape#1\end{center}\end{minipage}\end{lrbox}}

\newcommand{\maketitleabnms}{\twocolumn[
	\begin{@twocolumnfalse}
	\maketitle
	\usebox{\affiliationsbox}\vspace{1.2em}
	\usebox{\keywordsbox}\vspace{1.2em}
	\usebox{\abstractbox}\vspace{1.2em}
	\end{@twocolumnfalse}
]\thispagestyle{empty}}